package cz.muni.fi.aoc;

import java.io.BufferedReader;
import java.io.File;
import java.io.FileReader;
import java.io.IOException;
import java.util.ArrayList;
import java.util.Arrays;

public class Utils {
    private static final String PATH_DAY_ONE_DATA_FILE = "data-day-one.txt";
    private static final String PATH_DAY_TWO_DATA_FILE = "data-day-two.txt";

    public static int[] getFirstDayData() {
        String path = Utils.class.getClassLoader().getResource(PATH_DAY_ONE_DATA_FILE).getPath();
        String[] lines = readFileLines(path);
        return Arrays
                .stream(lines)
                .mapToInt(Integer::parseInt)
                .toArray();
    }

    public static String[] getSecondDayData() {
        String path = Utils.class.getClassLoader().getResource(PATH_DAY_TWO_DATA_FILE).getPath();
        return readFileLines(path);
    }


    private static String[] readFileLines(String path) {
        ArrayList<String> lines = new ArrayList<>();
        try (BufferedReader bf = new BufferedReader(new FileReader(path))) {
            while (bf.ready()) {
                lines.add(bf.readLine());
            }
        } catch (IOException e) {
            e.printStackTrace();
        }
        return lines.toArray(new String[0]);
    }
}
